/*******************************************************************************
 * Copyright (c) 2009 Information-technology Promotion Agency, Japan.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package benten.cat.glossary.ui.editor;

import org.eclipse.jface.text.ITextViewer;
import org.eclipse.jface.text.contentassist.ICompletionProposal;
import org.eclipse.jface.text.contentassist.IContextInformationValidator;
import org.eclipse.wst.html.ui.internal.contentassist.HTMLContentAssistProcessor;

@SuppressWarnings("restriction")
public class CustomHTMLAssistProccessor extends HTMLContentAssistProcessor {

	private GlossaryAssistProcessor glossaryAssistProcessor = new GlossaryAssistProcessor();

	public char[] getCompletionProposalAutoActivationCharacters() {
		return glossaryAssistProcessor.getCompletionProposalAutoActivationCharacters();
	}

	public char[] getContextInformationAutoActivationCharacters() {
		return glossaryAssistProcessor.getContextInformationAutoActivationCharacters();
	}

	public IContextInformationValidator getContextInformationValidator() {
		return glossaryAssistProcessor.getContextInformationValidator();
	}

	public String getErrorMessage() {
		return glossaryAssistProcessor.getErrorMessage();
	}

	public ICompletionProposal[] computeCompletionProposals(ITextViewer viewer, int offset) {
		return glossaryAssistProcessor.computeCompletionProposals(viewer, offset);
	}
}
